Use htdocs.path instead of absolute path
[cookiecutter.git] / project_template / setup.py
index 3861b57206b6486d3912962bcf560f6a7d2cd778..94c8d956c47bde66d0603ced1d20654cee090f65 100755 (executable)
@@ -10,18 +10,18 @@ except ImportError:
     from distutils.core import setup
     is_setuptools = False
 
-versionpath = join(abspath(dirname(__file__)), '{{project}}', '__version__.py')
+versionpath = join(abspath(dirname(__file__)), '{project}', '__version__.py')
 load_source('{project}_version', versionpath)
 # Ignore: E402 module level import not at top of file
 from {project}_version import __version__  # noqa
 
-setup(name='{{project}}',
+setup(name='{project}',
       version=__version__,
-      description='Broytman {{project}}',
+      description='Broytman {project}',
       long_description=open('README.txt', 'rtU').read(),
       author='Oleg Broytman',
       author_email='phd@phdru.name',
-      url='http://phdru.name/Software/Python/',
+      url='http://phdru.name/Software/Python/{project}',
       license='GPL',
       platforms=['any'],
       keywords=[''],
@@ -35,10 +35,14 @@ setup(name='{{project}}',
           'Programming Language :: Python :: 2',
           'Programming Language :: Python :: 2.6',
           'Programming Language :: Python :: 2.7',
-          'Programming Language :: Python :: 2 :: Only',
+          'Programming Language :: Python :: 3',
+          'Programming Language :: Python :: 3.3',
+          'Programming Language :: Python :: 3.4',
+          'Programming Language :: Python :: 3.5',
+          'Programming Language :: Python :: 3.6',
       ],
-      packages=['{{project}}'],
-      package_data={'{{project}}': []},
+      packages=['{project}'],
+      package_data={'{project}': []},
       scripts=[],
       requires=[],
       )